Bug 50051 - Log PID in first entry logged for each request
Summary: Log PID in first entry logged for each request
Status: CLOSED WONTFIX
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_log_forensic (show other bugs)
Version: 2.2.16
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-10-07 03:15 UTC by Klavs Klavsen
Modified: 2018-11-08 07:40 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Klavs Klavsen 2010-10-07 03:15:39 UTC
I am trying to find the cause of random segfaults on our servers, and am looking at using log_forensic at this looks to be exactly what I need.

Only thing is - that in my error_log I have the PID of the process that segfaulted - and instead of the current approach - where I need to look at the forensic log and figure out (using the support tool) which requests didn't finish, it would be so much easier if the forensic log contained a timestamp and the PID of the process the request has been assigned to.
Comment 1 Dan Poirier 2010-11-01 10:42:44 UTC
mod_whatkilledus (http://people.apache.org/~trawick/exception_hook.html) might be more useful.
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:48 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.